Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class DesktopURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.DesktopURL

All Implemented Interfaces
  Cloneable

    public class DesktopURL

extends GenericURL

Represents a URL for submitting requests to the portal framework to view a specified desktop.

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`COMMUNITY_ADMIN_FLAG_PARAM, COMMUNITY_DESKTOP, CONTROL_STATE_PARAM, CURRENT_PAGE, domain, DOMAIN, EVENT_NAME_PARAM, httpRequest, httpResponse, httpsDomain, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, PORTLET_SUB_INSTANCE_ID, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, URL_COMPRESSION, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `DesktopURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String desktopServletPath)` Constructs a `DesktopURL`.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static DesktopURL` | `createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, CommunityURI community)` Returns a DesktopURL for the specified community if the URL can be determined, null if the URL cannot be determined.
`static DesktopURL` | `createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, DesktopDefinitionId desktop)` Returns a DesktopURL for the specified streamed desktop if the URL can be determined, null if the URL cannot be determined.
`static DesktopURL` | `createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String webAppName, String portalPath, String desktopPath)` Returns a DesktopURL for the specified streamed desktop if the URL can be determined, null if the URL cannot be determined.

Methods inherited from class com.bea.portlet.GenericURL
`addAjaxNoRewriteParam, addParameter, addParameter, addParameter, appendEnsureSeparator, appendEnsureSeparator, createGenericURL, createQueryString, createQueryStringBuilder, getAmpForm, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPath, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setForcedAmpForm, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopURL

    protected DesktopURL(javax.servlet.http.HttpServletRequest httpRequest,
                         javax.servlet.http.HttpServletResponse httpResponse,
                         String desktopServletPath)

  Constructs a `DesktopURL`.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `desktopServletPath` - the complete path to the desktop

Method Detail

### createDesktopURL

    public static DesktopURL createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest,
                                              javax.servlet.http.HttpServletResponse httpResponse,
                                              DesktopDefinitionId desktop)

  Returns a DesktopURL for the specified streamed desktop if the URL can be determined, null if the URL cannot be determined. This will only work for desktops in streaming mode.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `desktop` - the desktop to create a URL to.
  Returns
    A DesktopURL to the specified desktop, or `null` if the URL cannot be determined.

### createDesktopURL

    public static DesktopURL createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest,
                                              javax.servlet.http.HttpServletResponse httpResponse,
                                              CommunityURI community)

  Returns a DesktopURL for the specified community if the URL can be determined, null if the URL cannot be determined.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `community` - the community to create a URL to.
  Returns
    A DesktopURL to the specified community desktop, or `null` if the URL cannot be determined.

### createDesktopURL

    public static DesktopURL createDesktopURL(javax.servlet.http.HttpServletRequest httpRequest,
                                              javax.servlet.http.HttpServletResponse httpResponse,
                                              String webAppName,
                                              String portalPath,
                                              String desktopPath)

  Returns a DesktopURL for the specified streamed desktop if the URL can be determined, null if the URL cannot be determined. This will only work for desktops in streaming mode.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `webAppName` - the name of the webapp for the desktop
    `portalPath` - the portal path for the desktop
    `desktopPath` - the desktop path for the desktop.
  Returns
    A DesktopURL to the specified desktop, or `null` if the URL cannot be determined.

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `GenericURL`
  Returns
    a deep-copied clone of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.